Bug 975006 - engine [TEXT]: unclear event log error when we have partial access to the master domain
engine [TEXT]: unclear event log error when we have partial access to the mas...
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Alissa
Leonid Natapov
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 07:25 EDT by Dafna Ron
Modified: 2016-02-10 12:53 EST (History)
9 users (show)

See Also:
Fixed In Version: is3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-17 04:20:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (1.34 MB, application/x-gzip)
2013-06-17 07:25 EDT, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16004 None None None Never

  None (edit)
Description Dafna Ron 2013-06-17 07:25:09 EDT
Created attachment 762005 [details]
logs

Description of problem:

I blocked connectivity to my single master domain which is comprised from two different luns located on two different storage servers and the following error appears in the event log: 

Invalid status on Data Center iSCSI. Setting Data Center status to Non-Responsive (On host cougar02, Error: Error marking master storage domain).


i don't think that "marking master storage domain" is clear and do not explain the issue to the user. 

Version-Release number of selected component (if applicable):

sf18

How reproducible:

100%

Steps to Reproduce:
1. create an iscsi storage domain comprised from two luns located on two different storage servers on a two hosts cluster. 
2. block connectivity to only one of the luns from the two hosts. 
3.

Actual results:

when the domain is inactivated we see the following error in the event log:
 
Invalid status on Data Center iSCSI. Setting Data Center status to Non-Responsive (On host cougar02, Error: Error marking master storage domain).

Expected results:

I don't think that " marking master storage domain" is clear

Additional info: logs
Comment 1 Alissa 2013-06-23 04:38:16 EDT
As discussed with Allon M. and Cheryn T., the message should be changed to:
"Cannot access master storage domain"

Note You need to log in before you can comment on or make changes to this bug.